### Class

# Shumate VectorSprite

since: 1.1

#### Description [src]

    final class Shumate.VectorSprite : GObject.Object
      implements Gdk.Paintable, Gtk.SymbolicPaintable {
      /* No available fields */
    }

A sprite used to draw textures or icons.

## Symbolic icons

If a sprite is created from a `GtkSymbolicPaintable` source, such as a symbolic icon, then when the sprite is part of a symbol layer it will be drawn using the icon-color property (or the text color, if the sprite is part of a formatted string).

Available since: 1.1

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GdkPaintable
- GtkSymbolicPaintable

#### Constructors

###### shumate_vector_sprite_new

Creates a new `ShumateVectorSprite` using the paintable’s intrinsic size.

since: 1.1

###### shumate_vector_sprite_new_full

Creates a new `ShumateVectorSprite` with the given size, scale factor, and area of the source paintable.

since: 1.1

#### Instance methods

###### shumate_vector_sprite_get_height

Gets the height at which the sprite should be drawn.

since: 1.1

###### shumate_vector_sprite_get_scale_factor

Gets the intended scale factor of the sprite.

since: 1.1

###### shumate_vector_sprite_get_source_paintable

Gets the source `GdkPaintable` used to draw the sprite.

since: 1.1

###### shumate_vector_sprite_get_source_rect

Gets the source rectangle of the sprite.

since: 1.1

###### shumate_vector_sprite_get_width

Gets the width at which the sprite should be drawn.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GdkPaintable (9)

###### gdk_paintable_compute_concrete_size

Compute a concrete size for the `GdkPaintable`.

###### gdk_paintable_get_current_image

Gets an immutable paintable for the current contents displayed by `paintable`.

###### gdk_paintable_get_flags

Get flags for the paintable.

###### gdk_paintable_get_intrinsic_aspect_ratio

Gets the preferred aspect ratio the `paintable` would like to be displayed at.

###### gdk_paintable_get_intrinsic_height

Gets the preferred height the `paintable` would like to be displayed at.

###### gdk_paintable_get_intrinsic_width

Gets the preferred width the `paintable` would like to be displayed at.

###### gdk_paintable_invalidate_contents

Called by implementations of `GdkPaintable` to invalidate their contents.

###### gdk_paintable_invalidate_size

Called by implementations of `GdkPaintable` to invalidate their size.

###### gdk_paintable_snapshot

Snapshots the given paintable with the given `width` and `height`.

##### Methods inherited from GtkSymbolicPaintable (2)

###### gtk_symbolic_paintable_snapshot_symbolic

Snapshots the paintable with the given colors.

###### gtk_symbolic_paintable_snapshot_with_weight

Snapshots the paintable with the given colors and weight.

#### Properties

###### Shumate.VectorSprite:height

The height at which the sprite should be drawn, in pixels.

since: 1.1

###### Shumate.VectorSprite:scale-factor

The intended scale factor of the sprite.

since: 1.1

###### Shumate.VectorSprite:source-paintable

The `GdkPaintable` used to draw the sprite.

since: 1.1

###### Shumate.VectorSprite:source-rect

The area of the source rectangle to draw, or `NULL` to use the entire paintable.

since: 1.1

###### Shumate.VectorSprite:width

The width at which the sprite should be drawn, in pixels.

since: 1.1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GdkPaintable (2)

###### GdkPaintable::invalidate-contents

Emitted when the contents of the `paintable` change.

###### GdkPaintable::invalidate-size

Emitted when the intrinsic size of the `paintable` changes.

#### Class structure

    struct ShumateVectorSpriteClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.